
import axios from 'axios'
import Toast from 'vant/lib/toast'

function install (v) {
  const request = axios.create({
    baseURL: process.env.API_URL.default,
    timeout: 60000,
  })

  request.interceptors.request.use(
    config => {
      Toast.loading({
        duration: 0,
        forbidClick: true,
        loadingType: 'spinner',
        message: '加载中...',
      })
      return config
    },
    error => {
      return Promise.reject(error)
    },
  )

  request.interceptors.response.use(
    response => {
      const { data } = response
      Toast.clear()
      if (data.code) {
        // Toast.fail(data.message)
        return Promise.resolve({ code: data.code })
      }
      return { code: 0, data: data.data }
    },
    error => {
      Toast.clear()
      // console.log(JSON.parse(JSON.stringify(error)))
      const errorData = { code: 1, message: '网络超时，请重试' }
      if (error.response) {
        errorData.code = error.response.status
        errorData.message = error.response.data.message
      }
      // Toast.fail(errorData.message)
      return Promise.resolve(errorData)
    },
  )
  v.prototype.$request = request
  v.request = request
}

export default {
  install,
}
