
import router from './router'

const store = {
  strict: process.env.NODE_ENV === 'dev',
  state: {
    trace: {},
  },
  mutations: {
    UPDATE_TRACE (state, payload) {
      state.trace = payload
    },
  },
  actions: {
    async getTrace ({ commit }, patchNum) {
      const { code, data } = await Vue.request.get(`/egg?patch_num=${patchNum}`)
      if (code) {
        router.replace({ name: 404 })
        return false
      }
      commit('UPDATE_TRACE', data)
    },
  },
}

export default new Vuex.Store(store)
